<?php
$objectManager = \Magento\Framework\App\ObjectManager::getInstance();
$scopeConfig = $objectManager->create('Magento\Framework\App\Config\ScopeConfigInterface');
$configLogo = 'bareq/logo/store_logo';
$configLogoValue = $scopeConfig->getValue($configLogo, \Magento\Store\Model\ScopeInterface::SCOPE_STORE);
?>


<!-- register-modal --> 
<div class="modal fade" id="register-modal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <div class="clearfix mb1"></div>
                <h3 class="modal-title text-center" id="myModalLabel">
                    <?php
                    if ($configLogoValue):


                        $urlInterface = $objectManager->create('Magento\Store\Model\StoreManagerInterface');
                        $media_url = $urlInterface->getStore()->getBaseUrl(\Magento\Framework\UrlInterface::URL_TYPE_MEDIA);
                        ?>       
                        <img src="<?php echo $media_url . 'logo/' . $configLogoValue ?>"  class="" height="90" width="90"/>
                    <?php else: ?>
                        <i class="my-icon sub-logo"></i>
<?php endif; ?>
                    <span class="block"> <?php /* @escapeNotVerified */ echo __('Create an Account') ?></span>
                </h3>
            </div>
            <?php echo $block->getChildHtml('form_fields_before') ?>
            <?php /* Extensions placeholder */ ?>
<?php echo $block->getChildHtml('customer.form.register.extra') ?>
            <div class="modal-body">
                <div class="row">
                    <div class="col-md-8 col-md-offset-2">
                        <form action="<?php /* @escapeNotVerified */ echo $block->getPostActionUrl() ?>" method="post" id="form-validate" enctype="multipart/form-data" autocomplete="off">
                            <input type="hidden" name="success_url" value="<?php /* @escapeNotVerified */ echo $block->getSuccessUrl() ?>">
                            <input type="hidden" name="error_url" value="<?php /* @escapeNotVerified */ echo $block->getErrorUrl() ?>">
<?php // echo $block->getLayout()->createBlock('Magento\Customer\Block\Widget\Name')->setObject($block->getFormData())->setForceUseCustomerAttributes(true)->toHtml()  ?>


                            <div class="form-group">
                                <input type="text" name="firstname" id="firstname" value="" placeholder="<?php /* @escapeNotVerified */ echo __('First Name') ?>" title="<?php /* @escapeNotVerified */ echo __('Email') ?>" class="form-control" data-validate="{required:true}" >
                            </div>
                            <div class="form-group">
                                <input type="text" name="lastname" id="lastname" value="" placeholder="<?php /* @escapeNotVerified */ echo __('Last Name') ?>" title="<?php /* @escapeNotVerified */ echo __('Email') ?>" class="form-control" data-validate="{required:true}" >
                            </div>

                            <div class="form-group">
                                <input type="email" name="email" id="email_address" value="<?php echo $block->escapeHtml($block->getFormData()->getEmail()) ?>" placeholder="<?php /* @escapeNotVerified */ echo __('Email') ?>" title="<?php /* @escapeNotVerified */ echo __('Email') ?>" class="form-control" data-validate="{required:true, 'validate-email':true}" >
                            </div>
                            <div class="form-group">
                                <input  type="password" name="password" id="password" placeholder="<?php /* @escapeNotVerified */ echo __('Password') ?>" title="<?php /* @escapeNotVerified */ echo __('Password') ?>" class="form-control" data-validate="{required:true, 'validate-password':true}" autocomplete="off" >
                            </div> 
                            <div class="form-group">
                                <input type="password" name="password_confirmation" title="<?php /* @escapeNotVerified */ echo __('Confirm Password') ?>" id="password-confirmation"  data-validate="{required:true, equalTo:'#password'}" autocomplete="off" class="form-control" placeholder="<?php /* @escapeNotVerified */ echo __('Confirm Password') ?>" >
                            </div>
                            <div class=" clearfix text-center">
                                <button class="btn btn-primary" type="submit"  title="<?php /* @escapeNotVerified */ echo __('Create an Account') ?>">
<?php /* @escapeNotVerified */ echo __('Create an Account') ?>
                                </button>

                            </div>
                        </form>

                        <?php
                        $helper = $this->helper('Plumrocket\SocialLoginFree\Helper\Data');
                        if ($helper->modulePositionEnabled('login') && $helper->hasButtons()) :
                            ?>
                            <hr>

    <?php echo $this->getChildHtml('pslogin_buttons_rpop'); ?>
<?php endif; ?>


                    </div>

                </div>
                <div class="clearfix mb2"></div>
            </div>
            <div class="modal-footer">

                <div class="text-center">
                    <h4 class="inline-block">
                        <span><?php echo __('you already have an account?') ?></span>
                    </h4>
                    <a href="<?php echo $this->getBaseUrl() . 'customer/account/login'; ?>"><?php echo __('Sign in') ?></a>                            
                </div>

            </div>
        </div>
    </div>
</div>
<script type="text/javascript">
    require(['jquery', 'bootstraper'], function ($) {


    });
</script>
<script>
    require([
        'jquery',
        'mage/mage'
    ], function ($) {

        var dataForm = $('#form-validate');

        dataForm.mage('validation', {
        }).find('input:text').attr('autocomplete', 'off');

    });
</script>

